SysplexGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.SysplexGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface SysplexGroup

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  DB2DataSharingGroup, IMSSysplexGroup

    public interface SysplexGroup

extends AppServerCluster

A group of address spaces in zOS that communicate with each other or use common resources for a purpose.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Top Level:
  true
Display Name:
  parent,name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Method Summary
`int` | `getGroupFunction()` The function that the group provides (or the type of resources that are involved in the cross-domain communications) Indicates the type of data that is shared between the group members.
`java.lang.String` | `getName()`
`Sysplex` | `getParent()` The sysplex from which members of this group are taken.
`boolean` | `hasGroupFunction()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setGroupFunction(int value)`
`void` | `setName(java.lang.String x)`
`void` | `setParent(Sysplex parent)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getParent

    Sysplex getParent()
                      throws AttributeNotSetException

  The sysplex from which members of this group are taken. Note that a sysplex group cannot span multiple sysplexes.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Sysplex parent)

### hasParent

    boolean hasParent()

### getGroupFunction

    int getGroupFunction()
                         throws AttributeNotSetException

  The function that the group provides (or the type of resources that are involved in the cross-domain communications) Indicates the type of data that is shared between the group members. Typically there are many XCF group names for many different purposes. Not all of them are particularly interesting to know. The DLA only discovers the IMS and DB2 functions that are deemed interesting. Other functions may be added in the future. The DB2DataSharing function shares data between DB2 subsystems. The IMSPlex function shares IMS data objects between IMS subsystems. The IMSCQS function shares IMS message queues objects between IMS subsystems. The IMSCQS group can be used by multiple IMS subsystems but an IMS subsystem can only use one IMSCQS group. The IMSIRLM function shares IMS database lock data for database integrity. The IMSIRLM group can be used by multiple IMS subsystems and an IMS subsystem can use mulitple IMSIRLM groups. IRLM sysplex groups exist for other subsystem types such as DB2 but it is because of the many to many relationship between IMS and IRLM that we discover IMSIRLM.

  Throws:
    `AttributeNotSetException`

### setGroupFunction

    void setGroupFunction(int value)

### hasGroupFunction

    boolean hasGroupFunction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD